## Keyboard shortcuts

Press `←` or `→` to navigate between chapters

Press `S` or `/` to search in the book

Press `?` to show this help

Press `Esc` to hide this help

# GitLab CI

You can add Clippy to GitLab CI by using the latest stable rust docker image, as it is shown in the `.gitlab-ci.yml` CI configuration file below,

    # Make sure CI fails on all warnings, including Clippy lints
    variables:
      RUSTFLAGS: "-Dwarnings"

    clippy_check:
      image: rust:latest
      script:
        - rustup component add clippy
        - cargo clippy --all-targets --all-features